D-Link Forums

Announcements => Security Advisories => Topic started by: GreenBay42 on April 18, 2019, 10:33:46 AM

Title: Unauthenticated Remote DNS Change Vulnerability (DNSChanger)
Post by: GreenBay42 on April 18, 2019, 10:33:46 AM
READ HERE/FIRMWARE --> https://supportannouncement.us.dlink.com/announcement/publication.aspx?name=SAP10068 (https://supportannouncement.us.dlink.com/announcement/publication.aspx?name=SAP10068)

Affected Products:

Overview

The following was originally posted by D-Link in Dec. 2016. This announcement has been updated in regards to the latest information published on April 4, 2019, regarding DNSChanger Malware.

In December of 2016, Tomís Guide published a report discussing ďa new malvertising campaign attacking at least 166 models from multiple manufacturers.Ē

While there was evidence that the malware was targeting 166 distinct router models, only a few were identified. One of the identified models was the D-Link DSL-2740R. D-Link has previously offered firmware patches for this. D-Link has been made aware of a new post by a third party, which expands the scope of the identified products and firmware patches, naming the D-Link DSL-2640B, D-Link DSL-2780B, and D-Link DSL-526B. These products are not sold in the US.